import java.sql.*;
import java.io.*;
import java.util.*;
import java.time.*;

public class Test {
    public static void main(String[] args)
            throws ClassNotFoundException, java.sql.SQLException {
        Class.forName("org.postgresql.Driver");

        java.sql.Connection conn =
            java.sql.DriverManager.getConnection(
                "jdbc:postgresql://127.0.0.1:5432/postgres?user=postgres"
            );

        conn.setAutoCommit(false);

        java.sql.ResultSet rs;
	
	Statement st = conn.createStatement();
	rs = st.executeQuery("select pg_backend_pid::text from pg_backend_pid()");
	while (rs.next()) {
    		System.out.print("Column 1 returned ");
    		System.out.println(rs.getString(1));
	}
	rs.close();
	st.close();

        st = conn.createStatement();
        rs = st.executeQuery("select pg_sleep(0)");
        rs.close();
        st.close();
	
	System.out.println("Done");

        java.sql.PreparedStatement stmt =
            conn.prepareStatement(
                "SELECT * FROM foo ORDER BY a"
            );
        java.sql.PreparedStatement stmt2 =
            conn.prepareStatement(
                "SELECT 1"
            );

        rs = stmt.executeQuery();
        rs.close();
        stmt.close();
	
	System.out.println("Done Executing order by query");
        try {
                Thread.sleep(15000);
        } catch (InterruptedException e)
        {
        }
	System.out.println("Done Sleeping");
	
        rs = stmt2.executeQuery();
        rs.close();
        stmt2.close();
	System.out.println("Done Executing select 1");

        conn.commit();
        conn.close();
    }
}
